org.apache.fontbox.afm

## Class TrackKern

- java.lang.Object
- - org.apache.fontbox.afm.TrackKern

    public class TrackKern
    extends Object

This class represents a piece of track kerning data.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`TrackKern()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDegree()` Getter for property degree.
`float` `getMaxKern()` Getter for property maxKern.
`float` `getMaxPointSize()` Getter for property maxPointSize.
`float` `getMinKern()` Getter for property minKern.
`float` `getMinPointSize()` Getter for property minPointSize.
`void` `setDegree(int degreeValue)` Setter for property degree.
`void` `setMaxKern(float maxKernValue)` Setter for property maxKern.
`void` `setMaxPointSize(float maxPointSizeValue)` Setter for property maxPointSize.
`void` `setMinKern(float minKernValue)` Setter for property minKern.
`void` `setMinPointSize(float minPointSizeValue)` Setter for property minPointSize.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrackKern

    public TrackKern()

### Method Detail

#### getDegree

    public int getDegree()

Getter for property degree.

Returns:
  Value of property degree.

#### setDegree

    public void setDegree(int degreeValue)

Setter for property degree.

Parameters:
  `degreeValue` - New value of property degree.

#### getMaxKern

    public float getMaxKern()

Getter for property maxKern.

Returns:
  Value of property maxKern.

#### setMaxKern

    public void setMaxKern(float maxKernValue)

Setter for property maxKern.

Parameters:
  `maxKernValue` - New value of property maxKern.

#### getMaxPointSize

    public float getMaxPointSize()

Getter for property maxPointSize.

Returns:
  Value of property maxPointSize.

#### setMaxPointSize

    public void setMaxPointSize(float maxPointSizeValue)

Setter for property maxPointSize.

Parameters:
  `maxPointSizeValue` - New value of property maxPointSize.

#### getMinKern

    public float getMinKern()

Getter for property minKern.

Returns:
  Value of property minKern.

#### setMinKern

    public void setMinKern(float minKernValue)

Setter for property minKern.

Parameters:
  `minKernValue` - New value of property minKern.

#### getMinPointSize

    public float getMinPointSize()

Getter for property minPointSize.

Returns:
  Value of property minPointSize.

#### setMinPointSize

    public void setMinPointSize(float minPointSizeValue)

Setter for property minPointSize.

Parameters:
  `minPointSizeValue` - New value of property minPointSize.